<?php
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2017 http://gonn0101.com.cn All rights reserved.
// +----------------------------------------------------------------------
// | Author: 网蝈蝈 <245539558@qq.com>
// +----------------------------------------------------------------------

namespace Admin\Controller;
use Think\Controller;
use Common\Controller\AuthController;
use Think\Auth;
use Think\Model;
use Think\Db;
use OT\Database;

class BannerController extends AuthController {
		public function banner_list()
	   		{ 
                $admin=M('banner');
				$count= $admin->order("id desc")->count();// 查询满足要求的总记录数
				$Page= new \Think\Page($count,C('DB_PAGENUM'));// 实例化分页类 传入总记录数和每页显示的记录数
				foreach($map as $key=>$val) {
					$Page->parameter[$key]=urlencode($val);
				}
				$show= $Page->show();// 分页显示输出
				$admin_list=$admin->order('id desc')->limit($Page->firstRow.','.$Page->listRows)->select();
				$this->assign('banner_list',$admin_list);
				$this->assign('page',$show);		
				$this->display();
	   		}
	   	    public function banner_add()
		   	{
		   		if(!IS_AJAX)
	           {
                 $this->display();
	           }
	           else
	           {
			$obj=M('banner');
			$data['title']=trim(I('post.title', '', 'htmlspecialchars'));
			$data['banner']='/Uploads'.trim(I('post.banner', '', 'htmlspecialchars'));
			$data['content']='/Uploads'.trim(I('post.content', '', 'htmlspecialchars'));
	                if($id=$obj->add($data)){
	          detailedlog('banner',session('admin_username'),'轮播管理','添加',"$id",1);
					$this->success('添加成功',U('banner_list'),1);
                     }
			    }
		   	}

		 //轮播编辑
    public function banner_edit(){
        if (!IS_AJAX){
    		$admin=M('banner')->where(array('id'=>I('id')))->find();
    		$this->assign('list',$admin);
    		$this->display();
        }else{
			$obj=M('banner');
			$data['id']=trim(I('post.id', '', 'htmlspecialchars'));
			$data['title']=trim(I('post.title', '', 'htmlspecialchars'));
			$list=$obj->where("id={$data['id']}")->find();
			if($banner=trim(I('post.banner', '', 'htmlspecialchars'))){
				$data['banner']='/Uploads'.$banner;	
				$delbanner=$list['banner'];
				$filepathOne=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$delbanner;
				if(!empty($filepathOne)){
				unlink($filepathOne);
				}
			}
			 if($content=trim(I('post.content', '', 'htmlspecialchars'))){
				$delcontent=$list['content'];
				$filepathTwo=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$delcontent;
				if(!empty($filepathTwo)){
				unlink($filepathTwo);   
				}
				$data['content']='/Uploads'.$content;
			}
            $obj->save($data);
             detailedlog('banner',session('admin_username'),'轮播管理','编辑',"{$data['id']}",1);
            $this->success('修改成功',U('banner_list'),1);
        }

	}
	   	public function banner_del()
		   	{
	   		$id=$_REQUEST['id'];
	   		$admin=M('banner');
			$list=$admin->where("id='$id'")->find();
			$banner=$list['banner'];
			$content=$list['content'];
			$filepathOne=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$banner;
			$filepathTwo=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$content;
			if(!empty($filepathOne) && !empty($filepathTwo)){
			unlink($filepathOne);
			unlink($filepathTwo);   
			}
			$banner =$admin->where(array('id'=>$id))->delete();
			detailedlog('banner',session('admin_username'),'轮播管理','删除',"$id",1);
			$this->redirect('banner_list');
		   	}


		 public function startup_list()
	   		{ 
                $admin=M('startup');
				$count= $admin->order("id desc")->count();// 查询满足要求的总记录数
				$Page= new \Think\Page($count,C('DB_PAGENUM'));// 实例化分页类 传入总记录数和每页显示的记录数
				foreach($map as $key=>$val) {
					$Page->parameter[$key]=urlencode($val);
				}
				$show= $Page->show();// 分页显示输出
				$admin_list=$admin->order('id desc')->limit($Page->firstRow.','.$Page->listRows)->select();
				$this->assign('startup_list',$admin_list);
				$this->assign('page',$show);		
				$this->display();
	   		}

	   		    public function startup_add()
		   	{
		   		if(!IS_AJAX)
	           {
                 $this->display();
	           }
	           else
	           {
					$obj=M('startup');
					$data['create_time']=time();
					$data['startupimg']='/Uploads'.trim(I('post.startupimg', '', 'htmlspecialchars'));
	                if($id=$obj->add($data)){
	          detailedlog('startup',session('admin_username'),'轮播管理','启动页添加',"$id",1);
					$this->success('添加成功',U('startup_list'),1);
                     }
			    }
		   	}
			public function startup_edit(){
				if (!IS_AJAX){
				$admin=M('startup')->where(array('id'=>I('id')))->find();
				$this->assign('list',$admin);
				$this->display();
			}else{
				$obj=M('startup');
				$data['id']=trim(I('post.id', '', 'htmlspecialchars'));
				$list=$obj->where("id={$data['id']}")->find();
				if($startupimg=trim(I('post.startupimg', '', 'htmlspecialchars'))){
				$data['startupimg']='/Uploads'.$startupimg;	
				$delbanner=$list['startupimg'];
				$filepathOne=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$delbanner;
				if(!empty($filepathOne)){
				unlink($filepathOne);
				}
			}
            $obj->save($data);
             detailedlog('banner',session('admin_username'),'轮播管理','启动页编辑',"{$data['id']}",1);
            $this->success('修改成功',U('startup_list'),1);
        }

	}


	  		   	public function startup_del()
		   	{
		   		$id=$_REQUEST['id'];
		   		$admin=M('startup');
				$list=$admin->where("id='$id'")->find();
				$startupimg=$list['startupimg'];
				$filepathOne=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$startupimg;
				if(!empty($filepathOne)){
				unlink($filepathOne); 
				}
				$startupdel=$admin->where(array('id'=>$id))->delete();
				$this->redirect('startup_list');
		   	}
	   	}
