<?php
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2017 http://gonn0101.com.cn All rights reserved.
// +----------------------------------------------------------------------
// | Author: 网蝈蝈 <245539558@qq.com>
// +----------------------------------------------------------------------

namespace Admin\Controller;
use Think\Controller;
use Common\Controller\AuthController;
use Think\Auth;
use Think\Model;
use Think\Db;
use OT\Database;

class BooksController extends AuthController {
		public function books_list()
	   		{
                $admin=M('books');
				$count= $admin->order("id desc")->count();// 查询满足要求的总记录数
				$Page= new \Think\Page($count,C('DB_PAGENUM'));// 实例化分页类 传入总记录数和每页显示的记录数
				foreach($map as $key=>$val) {
					$Page->parameter[$key]=urlencode($val);
				}
				$show= $Page->show();// 分页显示输出
				$admin_list=$admin->order('id desc')->limit($Page->firstRow.','.$Page->listRows)->select();
				$this->assign('books_list',$admin_list);
				$this->assign('page',$show);		
				$this->display();
	   		}
 
	   	    public function books_add()
		   	{
		   		if(!IS_AJAX)
	           {
					$article_cate = D('bookregion');
					$list = $article_cate->select();	
					$this->assign('list', $list);
					$this->display();
	           }
	           else
	           {
			$obj=M('books');
			$data['books_name']=trim(I('post.books_name', '', 'htmlspecialchars'));
			$data['books_number']=trim(I('post.books_number', '', 'htmlspecialchars'));
			$data['books_title']=trim(I('post.books_title', '', 'htmlspecialchars'));
			$data['books_region']=trim(I('post.books_region', '', 'htmlspecialchars'));
			$data['auth']=trim(I('post.auth', '', 'htmlspecialchars'));
			$data['press']=trim(I('post.press', '', 'htmlspecialchars'));
			$data['bar_code']=trim(I('post.bar_code', '', 'htmlspecialchars'));
			$data['books_introduction']=trim(I('post.books_introduction', '', 'htmlspecialchars'));
			$data['books_status']=trim(I('post.books_status', '', 'htmlspecialchars'));
			$data['create_time']=time();
			$data['books_img']='/Uploads'.trim(I('post.books_img', '', 'htmlspecialchars'));
		    $data['books_number']=trim(I('post.books_number', '', 'htmlspecialchars'));
			$data['recommend_path']='/Uploads'.trim(I('post.recommend_path', '', 'htmlspecialchars'));
			$data['is_recommend']=trim(I('post.is_recommend', '', 'htmlspecialchars'));
	                if($obj->add($data)){
					$this->success('添加成功',U('books_list'),1);
                     }
			    }
		   	}

		 //图书编辑
    public function books_edit(){
        if (!IS_AJAX){
        	$article_cate = D('bookregion');
			$bookregion = $article_cate->select();	
			$this->assign('bookregion', $bookregion);
    		$admin=M('books')->where(array('id'=>I('id')))->find();
    		$this->assign('list',$admin);
    		$this->display();
        }else{
			$obj=M('books');
			$data['id']=trim(I('post.id', '', 'htmlspecialchars'));
			$data['books_name']=trim(I('post.books_name', '', 'htmlspecialchars'));
			$data['books_number']=trim(I('post.books_number', '', 'htmlspecialchars'));
			$data['books_title']=trim(I('post.books_title', '', 'htmlspecialchars'));
			$data['books_region']=trim(I('post.books_region', '', 'htmlspecialchars'));
			$data['auth']=trim(I('post.auth', '', 'htmlspecialchars'));
			$data['press']=trim(I('post.press', '', 'htmlspecialchars'));
			$data['bar_code']=trim(I('post.bar_code', '', 'htmlspecialchars'));
			$data['books_introduction']=trim(I('post.books_introduction', '', 'htmlspecialchars'));
			$data['books_status']=trim(I('post.books_status', '', 'htmlspecialchars'));
		    $data['is_recommend']=trim(I('post.is_recommend', '', 'htmlspecialchars'));

			$list=$obj->where("id={$data['id']}")->find();
				if($books_img=trim(I('post.books_img', '', 'htmlspecialchars'))){
				$data['books_img']='/Uploads'.$books_img;	
				$books_img=$list['books_img'];
				$filepathOne=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$books_img;
				if(!empty($filepathOne)){
				unlink($filepathOne);
				}
			 }
			 if($recommend_path=trim(I('post.recommend_path', '', 'htmlspecialchars'))){
                $data['recommend_path']='/Uploads'.$recommend_path;	
				$recommend_path=$list['recommend_path'];
				$filepathTwo=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$recommend_path;
				if(!empty($filepathTwo)){
				unlink($filepathTwo);
				}
			 }
            $obj->save($data);
             detailedlog('books',session('admin_username'),'图书管理','编辑',"{$data['id']}",1);
            $this->success('修改成功',U('books_list'),1);
        }

	}
	   	public function books_del()
		   	{
	   		$id=$_REQUEST['id'];
	   		$admin=M('books');
			$list=$admin->where("id='$id'")->find();
			$books_img=$list['books_img'];
			$filepathOne=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$books_img;
			if(!empty($filepathOne)){
			unlink($filepathOne); 
			}
				$recommend_path=$list['recommend_path'];
			$filepathTwo=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$recommend_path;
			if(!empty($filepathTwo)){
			unlink($filepathTwo); 
			}
			$books_del =$admin->where(array('id'=>$id))->delete();
			detailedlog('books',session('admin_username'),'图书管理','删除',"$id",1);
			$this->redirect('books_list');
		   	}
	 
          public function books_regionList()
	   		{
                $admin=M('bookregion');
				$count= $admin->order("id desc")->count();// 查询满足要求的总记录数
				$Page= new \Think\Page($count,C('DB_PAGENUM'));// 实例化分页类 传入总记录数和每页显示的记录数
				foreach($map as $key=>$val) {
					$Page->parameter[$key]=urlencode($val);
				}
				$show= $Page->show();// 分页显示输出
				$admin_list=$admin->order('id desc')->limit($Page->firstRow.','.$Page->listRows)->select();
				$this->assign('books_regionList',$admin_list);
				$this->assign('page',$show);		
				$this->display();
	   		 }

          public function books_regionAdd()
		   	{
		   		if(!IS_AJAX)
	           {
                 $this->display();
	           }
	           else
	           {
          			$obj=M('bookregion');
          			$data['region_name']=trim(I('post.region_name', '', 'htmlspecialchars'));
          			$data['create_time']=time();
          			$data['status']=trim(I('post.status', '', 'htmlspecialchars'));
	         if($obj->add($data)){
	         	 $this->success('添加成功',U('books_regionList'),1);
	         }
	         else{
	         	 $this->error('添加失败',U('books_regionList'),1);
	         }
	     
               }
		    }
     public function books_regionEdit()
        {
          if(!IS_AJAX)
             {
              $admin=M('bookregion')->where(array('id'=>I('id')))->find();
              $this->assign('list',$admin);
              $this->display();
             }
             else
             {
            $obj=M('bookregion');
            $data['id']=trim(I('post.id', '', 'htmlspecialchars'));
            $data['region_name']=trim(I('post.region_name', '', 'htmlspecialchars'));
            $data['status']=trim(I('post.status', '', 'htmlspecialchars'));
           if($obj->save($data)){
             $this->success('修改成功',U('books_regionList'),1);
           }
           else{
             $this->error('修改失败',U('books_regionList'),1);
           }
       
          }
        }
            public function books_regionDel()
        {
            $id=$_REQUEST['id'];
            $admin=M('bookregion');
            $books_del =$admin->where(array('id'=>$id))->delete();
            detailedlog('bookregion',session('admin_username'),'地区分类','删除',"$id",1);
            $this->redirect('books_regionList');
        }
               //好书推荐
		  		 public function goodbook_list()
	   		{ 
               $admin=M('books');
				$count= $admin->where("is_recommend=1")->order("id desc")->count();// 查询满足要求的总记录数
				$Page= new \Think\Page($count,C('DB_PAGENUM'));// 实例化分页类 传入总记录数和每页显示的记录数
				foreach($map as $key=>$val) {
					$Page->parameter[$key]=urlencode($val);
				}
				$show= $Page->show();// 分页显示输出
				$admin_list=$admin->where("is_recommend=1")->order('id desc')->limit($Page->firstRow.','.$Page->listRows)->select();
				$this->assign('books_list',$admin_list);
				$this->assign('page',$show);		
				$this->display();
	   		}
   			   		  public function goodbook_state()
			    {
			    	$id=I('x');
			    	if (empty($id))
			        {
			    		$this->error('ID不存在',U('goodbook_list'),1);
			    	}
			    	$status=M('books')->where(array('id'=>$id))->getField('is_recommend');//判断当前状态情况
			    	if($status==1)
			        {
			    		$statedata = array('is_recommend'=>0);
			    		$auth_group=M('books')->where(array('id'=>$id))->setField($statedata);
			    		$this->success('推荐关闭',1,1);
			    	}
			        else
			        {
			    		$statedata = array('is_recommend'=>1);
			    		$auth_group=M('books')->where(array('id'=>$id))->setField($statedata);
			    		$this->success('推荐开启',1,1);
			    	}
			    
                 }
                //好书ADD
	   		    public function goodbook_add()
		    	{
			   		if(!IS_AJAX)
		           {
	                 $this->display();
		           }
		           else
		           {
			      	$obj=M('goodbooks');
			        $data['goodbookimg']='/Uploads'.trim(I('post.goodbookimg', '', 'htmlspecialchars'));
			        $data['creatime']=time();
	                if($id=$obj->add($data)){
	                detailedlog('goodbooks',session('admin_username'),'图书管理','好书推荐添加',"$id",1);
					$this->success('添加成功',U('goodbook_list'),1);
                     }
			       }
		    	}
		   	//好书编辑
		    public function goodbook_edit(){
		        if (!IS_AJAX){
		    		$admin=M('goodbooks')->where(array('id'=>I('id')))->find();
		    		$this->assign('list',$admin);
		    		$this->display();
	        	}else{
					$obj=M('goodbooks');
					$data['id']=trim(I('post.id', '', 'htmlspecialchars'));
					$list=$obj->where("id={$data['id']}")->find();
				   if($goodbookimg=trim(I('post.goodbookimg', '', 'htmlspecialchars'))){
					$data['goodbookimg']='/Uploads'.$goodbookimg;	
					$delbanner=$list['goodbookimg'];
					$filepathOne=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$delbanner;
					if(!empty($filepathOne)){
					unlink($filepathOne);
					}
				}
				$obj->save($data);
				detailedlog('goodbooks',session('admin_username'),'图书管理','好书推荐编辑',"{$data['id']}",1);
				$this->success('修改成功',U('goodbook_list'),1);
		        }
			}
   	//好书DEL
			   	public function goodbook_del()
		   	{
			   		$id=$_REQUEST['id'];
			   		$admin=M('goodbooks');
					$list=$admin->where("id='$id'")->find();
					$goodbookimg=$list['goodbookimg'];
					$filepathOne=$_SERVER['DOCUMENT_ROOT'].__ROOT__.$goodbookimg;
					if(!empty($filepathOne)){
					unlink($filepathOne); 
					}
					$banner =$admin->where(array('id'=>$id))->delete();
					detailedlog('goodbooks',session('admin_username'),'图书管理','删除',"$id",1);
					$this->redirect('goodbook_list');
		   	}
      }