<?php
namespace Admin\Controller;
use Think\Controller;
use Common\Controller\AuthController;
use Think\Auth;
use Think\Model;
use Think\Db;
use OT\Database;
class FeedbackController extends Controller {
         
      //评价人列表
       public function feedbackMan(){
            $key=I('testval');
           if($key){
            $map = array(
                'name' =>array('like', "%" . $key . "%"),
             );
            $this->assign('testval',$key);
             }
            $map['status']=1;
            $admin=M('feedback');
            $count= $admin->where($map)->order("id desc")->count();// 查询满足要求的总记录数
            $Page= new \Think\Page($count,C('DB_PAGENUM'));// 实例化分页类 传入总记录数和每页显示的记录数
            foreach($map as $key=>$val) {
                  $Page->parameter[$key]=urlencode($val);
            }
            $show= $Page->show();// 分页显示输出
            $admin_list=$admin->where($map)->order('id desc')->limit($Page->firstRow.','.$Page->listRows)->select();
            $this->assign('feedbackMan',$admin_list);
            $this->assign('page',$show);        
           
            $this->display();
       }
       public function feedbakdel(){
           $admin=M('feedback');
           if($admin->where('1')->delete()){
            $this->success('清空成功');
            }else{
              $this->success('清空失败');
            }
       }
       // <th >经理人360°（客户）</th>
       //        <th >经理人360°（平级）</th>
       //        <th >经理人360°（下属）</th>
       //        <th >项目经理人360°</th>
       //        <th >接口人360°（客户）</th>
          //经理人360评价客户
       public function managerCustomer(){
            $admin=M("manager_customer");
            $count= $admin->order("id desc")->count();// 查询满足要求的总记录数
            $Page= new \Think\Page($count,C('DB_PAGENUM'));// 实例化分页类 传入总记录数和每页显示的记录数
            foreach($map as $key=>$val) {
                  $Page->parameter[$key]=urlencode($val);
            }
            $show= $Page->show();// 分页显示输出
            $admin_list=$admin->order('id desc')->limit($Page->firstRow.','.$Page->listRows)->select();
            $this->assign('manager_customer',$admin_list);
            $this->assign('page',$show);        
            $this->display();
       }
 public function exportExcel($expTitle,$expCellName,$expTableData){
        $xlsTitle = iconv('utf-8', 'gb2312', $expTitle);//文件名称
        // $fileName = $_SESSION['account'].date('_YmdHis');//or $xlsTitle 文件名称可根据自己情况设定
        $cellNum = count($expCellName);
        $dataNum = count($expTableData);
        vendor("PHPExcel.PHPExcel");
        $objPHPExcel = new \PHPExcel();
        $cellName = array('A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z','AA','AB','AC','AD','AE','AF','AG','AH','AI','AJ','AK','AL','AM','AN','AO','AP','AQ','AR','AS','AT','AU','AV','AW','AX','AY','AZ');
        for($i=0;$i<$cellNum;$i++){
            $objPHPExcel->setActiveSheetIndex(0)->setCellValue($cellName[$i].'1', $expCellName[$i][1]);
            $objPHPExcel->getActiveSheet()->getStyle($cellName[$i].'1')->getFont()->setName('宋体')->setSize(16)->setBold(true); //字体加粗
      $objPHPExcel->getActiveSheet(0)->getRowDimension('1')->setRowHeight(30); 
      //设置列宽
      $objPHPExcel->getActiveSheet()->getColumnDimension($cellName[$i])->setWidth(30); 
        }
        for($i=0;$i<$dataNum;$i++){
            for($j=0;$j<$cellNum;$j++){
                $objPHPExcel->getActiveSheet(0)->setCellValue($cellName[$j].($i+2), $expTableData[$i][$expCellName[$j][0]]);
            }
        }
        header('pragma:public');
        header('Content-type:application/vnd.ms-excel;charset=utf-8;name="'.$xlsTitle.'.xls"');
        $excel_name="经理人360°评价表客户数据列表";
        $excelname = str_replace('+', '%20', urlencode($excel_name));
        header("Content-Disposition:attachment;filename={$excelname}.xls");//attachment新窗口打印inline本窗口打印
        $objWriter = \PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');  
        $objWriter->save('php://output'); 
        exit;   
    }   
       /**
     *
     * 导出Excel
     */
   public    function managerCustomerexpUser(){//导出Excel
        $xlsName  = "User";
        $xlsCell  = array(
            array('name1','被评定者姓名'),
            array('name2','被评定者部门'),
            array('name3','被评定者职位'),
            array('name4','评定日期'),
            array('name12','评定者身份'),
            array('name6','对于客户提出的需求能否充分理解'),
            array('name7','对于客户提出的问题能否做到及时、准确的反馈'),
            array('name8','准时参加客户安排的会议'),
            array('name9','穿着正装面见客户'),
            array('name10','是否具有较强的服务意识'),
            array('name11','在今后的工作中，您对此人员有哪些综合建议？'),
            array('name5','最终得分'),
        );
          $admin=M('manager_customer');
          $admin_list=$admin->select();
          foreach ($admin_list as $key => $value) {
            $admin_list[$key]['name12']="客户";
          }
        $this->exportExcel($xlsName,$xlsCell,$admin_list);
         
    }
           //经理人360°（平级）
       public function managerLevel(){
            $admin=M('manager_level');
            $count= $admin->order("id desc")->count();// 查询满足要求的总记录数
            $Page= new \Think\Page($count,C('DB_PAGENUM'));// 实例化分页类 传入总记录数和每页显示的记录数
            foreach($map as $key=>$val) {
                  $Page->parameter[$key]=urlencode($val);
            }
            $show= $Page->show();// 分页显示输出
            $admin_list=$admin->order('id desc')->limit($Page->firstRow.','.$Page->listRows)->select();
            $this->assign('manager_level',$admin_list);
            $this->assign('page',$show);        
            $this->display();
       }
        public function managerLevelexportExcel($expTitle,$expCellName,$expTableData){
        $xlsTitle = iconv('utf-8', 'gb2312', $expTitle);//文件名称
        // $fileName = $_SESSION['account'].date('_YmdHis');//or $xlsTitle 文件名称可根据自己情况设定
        $cellNum = count($expCellName);
        $dataNum = count($expTableData);
        vendor("PHPExcel.PHPExcel");
        $objPHPExcel = new \PHPExcel();
        $cellName = array('A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z','AA','AB','AC','AD','AE','AF','AG','AH','AI','AJ','AK','AL','AM','AN','AO','AP','AQ','AR','AS','AT','AU','AV','AW','AX','AY','AZ');
        for($i=0;$i<$cellNum;$i++){
            $objPHPExcel->setActiveSheetIndex(0)->setCellValue($cellName[$i].'1', $expCellName[$i][1]);
            $objPHPExcel->getActiveSheet()->getStyle($cellName[$i].'1')->getFont()->setName('宋体')->setSize(16)->setBold(true); //字体加粗
      $objPHPExcel->getActiveSheet(0)->getRowDimension('1')->setRowHeight(30); 
      //设置列宽
      $objPHPExcel->getActiveSheet()->getColumnDimension($cellName[$i])->setWidth(30); 
        }
        for($i=0;$i<$dataNum;$i++){
            for($j=0;$j<$cellNum;$j++){
                $objPHPExcel->getActiveSheet(0)->setCellValue($cellName[$j].($i+2), $expTableData[$i][$expCellName[$j][0]]);
            }
        }
        header('pragma:public');
        header('Content-type:application/vnd.ms-excel;charset=utf-8;name="'.$xlsTitle.'.xls"');
        $excel_name="经理人360°评价表平级数据列表";
        $excelname = str_replace('+', '%20', urlencode($excel_name));
        header("Content-Disposition:attachment;filename={$excelname}.xls");//attachment新窗口打印inline本窗口打印
        $objWriter = \PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');  
        $objWriter->save('php://output'); 
        exit;   
    }   
       /**
     *
     * 导出Excel
     */
   public    function managerLevelexpUser(){//导出Excel
        $xlsName  = "User";
        $xlsCell  = array(
            array('name1','被评定者姓名'),
            array('name2','被评定者部门'),
            array('name3','被评定者职位'),
            array('name4','评定日期'),
            array('name12','评定者身份'),
            array('name6','是否积极配合工作的展开和完成'),
            array('name7','是否主动进行跨部门沟通'),
            array('name8','是否具有公司主人翁意识'),
            array('name9','对于同事遇到的问题或困难，能否主动帮助'),
            array('name10','在处理突发性问题时，处理的是否全面和及时'),
            array('name11','在今后的工作中，您对此人员有哪些综合建议？'),
            array('name5','最终得分'),
        );
          $admin=M('manager_customer');
          $admin_list=$admin->select();
          foreach ($admin_list as $key => $value) {
            $admin_list[$key]['name12']="平级";
          }
        $this->managerLevelexportExcel($xlsName,$xlsCell,$admin_list);
         
    }
             //经理人360°（下属）
       public function managerSubordinate(){
            $admin=M('manager_subordinate');
            $count= $admin->order("id desc")->count();// 查询满足要求的总记录数
            $Page= new \Think\Page($count,C('DB_PAGENUM'));// 实例化分页类 传入总记录数和每页显示的记录数
            foreach($map as $key=>$val) {
                  $Page->parameter[$key]=urlencode($val);
            }
            $show= $Page->show();// 分页显示输出
            $admin_list=$admin->order('id desc')->limit($Page->firstRow.','.$Page->listRows)->select();
            $this->assign('manager_subordinate',$admin_list);
            $this->assign('page',$show);        
            $this->display();
       }

              public function managerSubordinateexportExcel($expTitle,$expCellName,$expTableData){
        $xlsTitle = iconv('utf-8', 'gb2312', $expTitle);//文件名称
        // $fileName = $_SESSION['account'].date('_YmdHis');//or $xlsTitle 文件名称可根据自己情况设定
        $cellNum = count($expCellName);
        $dataNum = count($expTableData);
        vendor("PHPExcel.PHPExcel");
        $objPHPExcel = new \PHPExcel();
        $cellName = array('A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z','AA','AB','AC','AD','AE','AF','AG','AH','AI','AJ','AK','AL','AM','AN','AO','AP','AQ','AR','AS','AT','AU','AV','AW','AX','AY','AZ');
        for($i=0;$i<$cellNum;$i++){
            $objPHPExcel->setActiveSheetIndex(0)->setCellValue($cellName[$i].'1', $expCellName[$i][1]);
            $objPHPExcel->getActiveSheet()->getStyle($cellName[$i].'1')->getFont()->setName('宋体')->setSize(16)->setBold(true); //字体加粗
      $objPHPExcel->getActiveSheet(0)->getRowDimension('1')->setRowHeight(30); 
      //设置列宽
      $objPHPExcel->getActiveSheet()->getColumnDimension($cellName[$i])->setWidth(30); 
        }
        for($i=0;$i<$dataNum;$i++){
            for($j=0;$j<$cellNum;$j++){
                $objPHPExcel->getActiveSheet(0)->setCellValue($cellName[$j].($i+2), $expTableData[$i][$expCellName[$j][0]]);
            }
        }
        header('pragma:public');
        header('Content-type:application/vnd.ms-excel;charset=utf-8;name="'.$xlsTitle.'.xls"');
        $excel_name="经理人360°评价表下属数据列表";
        $excelname = str_replace('+', '%20', urlencode($excel_name));
        header("Content-Disposition:attachment;filename={$excelname}.xls");//attachment新窗口打印inline本窗口打印
        $objWriter = \PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');  
        $objWriter->save('php://output'); 
        exit;   
    }   
       /**
     *
     * 导出Excel
     */
   public    function managerSubordinateexpUser(){//导出Excel
        $xlsName  = "User";
        $xlsCell  = array(
            array('name1','被评定者姓名'),
            array('name2','被评定者部门'),
            array('name3','被评定者职位'),
            array('name4','评定日期'),
            array('name12','评定者身份'),
            array('name6','对下属遇到问题，是否给出建设性意见'),
            array('name7','对下属是否做到充分授权'),
            array('name8','对于公司的制度和政策能否做到充分和及时传达'),
            array('name9','工作中是否以身作则'),
            array('name10','是否主动或经常与下属沟通工作'),
            array('name11','在今后的工作中，您对此人员有哪些综合建议？'),
            array('name5','最终得分'),
        );
          $admin=M('manager_subordinate');
          $admin_list=$admin->select();
          foreach ($admin_list as $key => $value) {
            $admin_list[$key]['name12']="下属";
          }
        $this->managerSubordinateexportExcel($xlsName,$xlsCell,$admin_list);
         
    }
              //项目经理人360°
       public function projectManager(){
            $admin=M('project_manager');
            $count= $admin->order("id desc")->count();// 查询满足要求的总记录数
            $Page= new \Think\Page($count,C('DB_PAGENUM'));// 实例化分页类 传入总记录数和每页显示的记录数
            foreach($map as $key=>$val) {
                  $Page->parameter[$key]=urlencode($val);
            }
            $show= $Page->show();// 分页显示输出
            $admin_list=$admin->order('id desc')->limit($Page->firstRow.','.$Page->listRows)->select();
            $this->assign('project_manager',$admin_list);
            $this->assign('page',$show);        
            $this->display();
       }
              public function projectManagerexportExcel($expTitle,$expCellName,$expTableData){
        $xlsTitle = iconv('utf-8', 'gb2312', $expTitle);//文件名称
        // $fileName = $_SESSION['account'].date('_YmdHis');//or $xlsTitle 文件名称可根据自己情况设定
        $cellNum = count($expCellName);
        $dataNum = count($expTableData);
        vendor("PHPExcel.PHPExcel");
        $objPHPExcel = new \PHPExcel();
        $cellName = array('A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z','AA','AB','AC','AD','AE','AF','AG','AH','AI','AJ','AK','AL','AM','AN','AO','AP','AQ','AR','AS','AT','AU','AV','AW','AX','AY','AZ');
        for($i=0;$i<$cellNum;$i++){
            $objPHPExcel->setActiveSheetIndex(0)->setCellValue($cellName[$i].'1', $expCellName[$i][1]);
            $objPHPExcel->getActiveSheet()->getStyle($cellName[$i].'1')->getFont()->setName('宋体')->setSize(16)->setBold(true); //字体加粗
      $objPHPExcel->getActiveSheet(0)->getRowDimension('1')->setRowHeight(30); 
      //设置列宽
      $objPHPExcel->getActiveSheet()->getColumnDimension($cellName[$i])->setWidth(30); 
        }
        for($i=0;$i<$dataNum;$i++){
            for($j=0;$j<$cellNum;$j++){
                $objPHPExcel->getActiveSheet(0)->setCellValue($cellName[$j].($i+2), $expTableData[$i][$expCellName[$j][0]]);
            }
        }
        header('pragma:public');
        header('Content-type:application/vnd.ms-excel;charset=utf-8;name="'.$xlsTitle.'.xls"');
        $excel_name="项目经理人360°评价表平级数据列表";
        $excelname = str_replace('+', '%20', urlencode($excel_name));
        header("Content-Disposition:attachment;filename={$excelname}.xls");//attachment新窗口打印inline本窗口打印
        $objWriter = \PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');  
        $objWriter->save('php://output'); 
        exit;   
    }   
       /**
     *
     * 导出Excel
     */
   public    function projectManagereexpUser(){//导出Excel
        $xlsName  = "User";
        $xlsCell  = array(
            array('name1','被评定者姓名'),
            array('name2','被评定者部门'),
            array('name3','被评定者职位'),
            array('name4','评定日期'),
            array('name12','评定者身份'),
            array('name6','是否积极配合工作的展开和完成'),
            array('name7','是否主动进行跨部门沟通'),
            array('name8','是否具有公司主人翁意识'),
            array('name9','对于同事遇到的问题或困难，能否主动帮助'),
            array('name10','在处理突发性问题时，处理的是否全面和及时'),
            array('name11','在今后的工作中，您对此人员有哪些综合建议？'),
            array('name5','最终得分'),
        );
          $admin=M('project_manager');
          $admin_list=$admin->select();
          foreach ($admin_list as $key => $value) {
            $admin_list[$key]['name12']="平级";
          }
        $this->projectManagerexportExcel($xlsName,$xlsCell,$admin_list);
         
    }
              //接口人360°（客户）
       public function interfacePerson(){
            $admin=M('interface_person');
            $count= $admin->order("id desc")->count();// 查询满足要求的总记录数
            $Page= new \Think\Page($count,C('DB_PAGENUM'));// 实例化分页类 传入总记录数和每页显示的记录数
            foreach($map as $key=>$val) {
                  $Page->parameter[$key]=urlencode($val);
            }
            $show= $Page->show();// 分页显示输出
            $admin_list=$admin->order('id desc')->limit($Page->firstRow.','.$Page->listRows)->select();
            $this->assign('interface_person',$admin_list);
            $this->assign('page',$show);        
            $this->display();
       }
              public function interfacePersonexportExcel($expTitle,$expCellName,$expTableData){
        $xlsTitle = iconv('utf-8', 'gb2312', $expTitle);//文件名称
        // $fileName = $_SESSION['account'].date('_YmdHis');//or $xlsTitle 文件名称可根据自己情况设定
        $cellNum = count($expCellName);
        $dataNum = count($expTableData);
        vendor("PHPExcel.PHPExcel");
        $objPHPExcel = new \PHPExcel();
        $cellName = array('A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z','AA','AB','AC','AD','AE','AF','AG','AH','AI','AJ','AK','AL','AM','AN','AO','AP','AQ','AR','AS','AT','AU','AV','AW','AX','AY','AZ');
        for($i=0;$i<$cellNum;$i++){
            $objPHPExcel->setActiveSheetIndex(0)->setCellValue($cellName[$i].'1', $expCellName[$i][1]);
            $objPHPExcel->getActiveSheet()->getStyle($cellName[$i].'1')->getFont()->setName('宋体')->setSize(16)->setBold(true); //字体加粗
      $objPHPExcel->getActiveSheet(0)->getRowDimension('1')->setRowHeight(30); 
      //设置列宽
      $objPHPExcel->getActiveSheet()->getColumnDimension($cellName[$i])->setWidth(30); 
        }
        for($i=0;$i<$dataNum;$i++){
            for($j=0;$j<$cellNum;$j++){
                $objPHPExcel->getActiveSheet(0)->setCellValue($cellName[$j].($i+2), $expTableData[$i][$expCellName[$j][0]]);
            }
        }
        header('pragma:public');
        header('Content-type:application/vnd.ms-excel;charset=utf-8;name="'.$xlsTitle.'.xls"');
        $excel_name="接口人360°评价表客户信息列表";
        $excelname = str_replace('+', '%20', urlencode($excel_name));
        header("Content-Disposition:attachment;filename={$excelname}.xls");//attachment新窗口打印inline本窗口打印
        $objWriter = \PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');  
        $objWriter->save('php://output'); 
        exit;   
    }   
       /**
     *
     * 导出Excel
     */
   public    function interfacePersonexpUser(){//导出Excel
        $xlsName  = "User";
        $xlsCell  = array(
            array('name1','被评定者姓名'),
            array('name2','被评定者部门'),
            array('name3','被评定者职位'),
            array('name4','评定日期'),
            array('name12','评定者身份'),
            array('name6','专业能力'),
            array('name7','穿着正装面见客户'),
            array('name8','是否具有较强的服务意识'),
            array('name9','对于客户提出的需求能否充分理解'),
            array('name10','对于客户提出的问题能否做到及时、准确的反馈'),
            array('name11','在今后的工作中，您对此人员有哪些综合建议？'),
            array('name5','最终得分'),
        );
          $admin=M('interface_person');
          $admin_list=$admin->select();
          foreach ($admin_list as $key => $value) {
            $admin_list[$key]['name12']="客户";
          }
        $this->interfacePersonexportExcel($xlsName,$xlsCell,$admin_list);
         
    }

          //数据导入
         public function impUser(){
          ini_set('memory_limit','1024M');
        if (!empty($_FILES)) {
                  $config = array(
          'exts' => array('xlsx','xls'),
          'maxSize' => 3145728000,
          'savePath' => 'xls/',
          'subName' => array('date','Ymd'),
          );
          $upload = new \Think\Upload($config);
          if (!$info = $upload->upload()) {
          $this->error($upload->getError());
          }
          vendor("PHPExcel.PHPExcel");
          $file_name=$upload->rootPath.$info['image']['savepath'].$info['image']['savename'];
          $extension = strtolower(pathinfo($file_name, PATHINFO_EXTENSION));//判断导入表格后缀格式
          if ($extension == 'xlsx') {
          $objReader =\PHPExcel_IOFactory::createReader('Excel2007');
          $objPHPExcel =$objReader->load($file_name, $encode = 'utf-8');
          } else if ($extension == 'xls'){
          $objReader =\PHPExcel_IOFactory::createReader('Excel5');
          $objPHPExcel =$objReader->load($file_name, $encode = 'utf-8');
          }
          $sheet =$objPHPExcel->getSheet(0);
          $highestRow = $sheet->getHighestRow()+1;//取得总行数
          $highestColumn =$sheet->getHighestColumn(); //取得总列数
          $sheet = $objPHPExcel->getSheet(0)->toArray(); 
          for ($i=2; $i <$highestRow ; $i++) { 
          $data['name']=$objPHPExcel->getActiveSheet()->getCell("A".$i)->getValue();
          $data['department']=$objPHPExcel->getActiveSheet()->getCell("B".$i)->getValue();  
          $data['job']=$objPHPExcel->getActiveSheet()->getCell("C".$i)->getValue();
          M('feedback')->add($data);
          }
         $this->success('导入成功！');    
                }else{
                  echo "请上传文件";
                }
            }

}